---
title: "50-State U.S. Model Building Code & Ordinance Directory | USPermitRules.com"
source_url: "https://uspermitrules.com/codes/"
canonical_url: "https://uspermitrules.com/codes/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Comprehensive reference matrix of adopted model building codes (IBC 2024, NFPA 101, IECC 2024, Title 24, HVHZ) across all 50 U.S. states."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://uspermitrules.com/codes/](https://uspermitrules.com/codes/)
>
> *Comprehensive reference matrix of adopted model building codes (IBC 2024, NFPA 101, IECC 2024, Title 24, HVHZ) across all 50 U.S. states.*

# 50-State Model Building Code Directory

Master reference matrix mapping model building code editions, environmental mandates, and local AHJ amendments across all 50 U.S. states.

| State | Jurisdiction | Model Code Edition | Regional Mandates | Action |
| :--- | :--- | :--- | :--- | :--- |
| TX | Harris County | IBC 2024 | Requires 2024 IBC wind-load engineering compliance (110 mph design wind speed) and Harris County Floodplain Management Regulations Section 4. | [Guide →](https://uspermitrules.com/permits/tx/harris-county) |
| TX | Dallas County | IBC 2024 | 2024 IBC & Dallas Energy Conservation Code compliance. | [Guide →](https://uspermitrules.com/permits/tx/dallas-county) |
| TX | Bexar County | IBC 2021 | Edwards Aquifer Contributing Zone environmental review. | [Guide →](https://uspermitrules.com/permits/tx/bexar-county) |
| CA | Los Angeles County | CBC Title 24 | Mandatory 2025 California Building Code (CBC Title 24) and Seismic Design Category D/E/F. | [Guide →](https://uspermitrules.com/permits/ca/los-angeles-county) |
| CA | Orange County | CBC Title 24 | Title 24 Energy Code & Coastal Commission Regulations. | [Guide →](https://uspermitrules.com/permits/ca/orange-county-ca) |
| AL | Jefferson County | IBC 2021 | 2021 IBC with Alabama Building Commission amendments. | [Guide →](https://uspermitrules.com/permits/al/jefferson-county-al) |
| AK | Anchorage Municipality | IBC 2021 | Extreme cold climate foundation insulation & seismic design category D. | [Guide →](https://uspermitrules.com/permits/ak/anchorage-municipality) |
| AZ | Maricopa County | IBC 2024 | 2024 IBC code with Rule 200 Dust Control requirements for clearing >0.1 acres. | [Guide →](https://uspermitrules.com/permits/az/maricopa-county) |
| AR | Pulaski County | IBC 2021 | 2021 Arkansas Fire Prevention Code compliance. | [Guide →](https://uspermitrules.com/permits/ar/pulaski-county) |
| CO | Denver County | IBC 2021 | Denver Green Building Ordinance and snow-load engineering requirements. | [Guide →](https://uspermitrules.com/permits/co/denver-county) |
| CT | Fairfield County | IBC 2021 | 2022 Connecticut State Building Code amendments. | [Guide →](https://uspermitrules.com/permits/ct/fairfield-county) |
| DE | New Castle County | IBC 2021 | Delaware Coastal Zone Act compliance. | [Guide →](https://uspermitrules.com/permits/de/new-castle-county) |
| FL | Miami-Dade County | IBC 2021 | High-Velocity Hurricane Zone (HVHZ) requirements under Florida Building Code. | [Guide →](https://uspermitrules.com/permits/fl/miami-dade-county) |
| FL | Broward County | IBC 2021 | HVHZ Hurricane Wind-Load & Flood Elevation Certifications. | [Guide →](https://uspermitrules.com/permits/fl/broward-county) |
| GA | Fulton County | IBC 2021 | Georgia State Minimum Standard Building Code. | [Guide →](https://uspermitrules.com/permits/ga/fulton-county) |
| HI | Honolulu County | IBC 2021 | Hawaii State Building Code & coastal flood zone management. | [Guide →](https://uspermitrules.com/permits/hi/honolulu-county) |
| ID | Ada County | IBC 2021 | 2020 Idaho Building Code amendments. | [Guide →](https://uspermitrules.com/permits/id/ada-county) |
| IL | Cook County | IBC 2021 | 42-inch foundation frost-line depth requirement. | [Guide →](https://uspermitrules.com/permits/il/cook-county) |
| IN | Marion County | IBC 2021 | 2020 Indiana Building Code. | [Guide →](https://uspermitrules.com/permits/in/marion-county-in) |
| IA | Polk County | IBC 2021 | Iowa State Building Code compliance. | [Guide →](https://uspermitrules.com/permits/ia/polk-county-ia) |
| KS | Johnson County | IBC 2021 | Kansas MARC building codes. | [Guide →](https://uspermitrules.com/permits/ks/johnson-county-ks) |
| KY | Jefferson County (Louisville) | IBC 2021 | 2018 Kentucky Building Code. | [Guide →](https://uspermitrules.com/permits/ky/jefferson-county-ky) |
| LA | Orleans Parish (New Orleans) | IBC 2021 | Louisiana Uniform Construction Code & wind design 130 mph. | [Guide →](https://uspermitrules.com/permits/la/orleans-parish) |
| ME | Cumberland County | IBC 2021 | Maine Uniform Building and Energy Code (MUBEC). | [Guide →](https://uspermitrules.com/permits/me/cumberland-county-me) |
| MD | Montgomery County | IBC 2021 | Maryland Building Performance Standards (MBPS). | [Guide →](https://uspermitrules.com/permits/md/montgomery-county-md) |
| MA | Suffolk County (Boston) | IBC 2021 | Ninth Edition 780 CMR Building Code and Stretch Energy Code. | [Guide →](https://uspermitrules.com/permits/ma/suffolk-county-ma) |
| MI | Wayne County | IBC 2021 | 2021 Michigan Building Code. | [Guide →](https://uspermitrules.com/permits/mi/wayne-county-mi) |
| MN | Hennepin County | IBC 2021 | 2020 Minnesota State Building Code & frost depth 48 inches. | [Guide →](https://uspermitrules.com/permits/mn/hennepin-county) |
| MS | Hinds County | IBC 2021 | 2018 IBC Mississippi amendments. | [Guide →](https://uspermitrules.com/permits/ms/hinds-county) |
| MO | St. Louis County | IBC 2021 | 2021 IBC with St. Louis County local amendments. | [Guide →](https://uspermitrules.com/permits/mo/st-louis-county) |
| MT | Yellowstone County | IBC 2021 | 2021 Montana State Building Code. | [Guide →](https://uspermitrules.com/permits/mt/yellowstone-county) |
| NE | Douglas County (Omaha) | IBC 2021 | 2018 Nebraska State Building Code. | [Guide →](https://uspermitrules.com/permits/ne/douglas-county-ne) |
| NV | Clark County | IBC 2021 | Southern Nevada Building Code Amendments. | [Guide →](https://uspermitrules.com/permits/nv/clark-county) |
| NH | Hillsborough County | IBC 2021 | 2018 New Hampshire State Building Code. | [Guide →](https://uspermitrules.com/permits/nh/hillsborough-county-nh) |
| NJ | Bergen County | IBC 2021 | NJ Uniform Construction Code (UCC). | [Guide →](https://uspermitrules.com/permits/nj/bergen-county) |
| NM | Bernalillo County | IBC 2021 | 2021 New Mexico Commercial Building Code. | [Guide →](https://uspermitrules.com/permits/nm/bernalillo-county) |
| NY | New York County (Manhattan) | IBC 2021 | 2022 NYC Construction Codes & Local Law 97. | [Guide →](https://uspermitrules.com/permits/ny/new-york-county) |
| NC | Mecklenburg County | IBC 2021 | 2018 North Carolina State Building Code. | [Guide →](https://uspermitrules.com/permits/nc/mecklenburg-county) |
| NC | Wake County | IBC 2021 | NC Commercial Building Code compliance. | [Guide →](https://uspermitrules.com/permits/nc/wake-county) |
| ND | Cass County (Fargo) | IBC 2021 | 2021 North Dakota State Building Code. | [Guide →](https://uspermitrules.com/permits/nd/cass-county-nd) |
| OH | Cuyahoga County (Cleveland) | IBC 2024 | 2024 Ohio Building Code (OBC). | [Guide →](https://uspermitrules.com/permits/oh/cuyahoga-county) |
| OH | Franklin County (Columbus) | IBC 2021 | Ohio Building Code (OBC) commercial specs. | [Guide →](https://uspermitrules.com/permits/oh/franklin-county-oh) |
| OK | Oklahoma County | IBC 2021 | 2018 Oklahoma Uniform Building Code Commission standards. | [Guide →](https://uspermitrules.com/permits/ok/oklahoma-county) |
| OR | Multnomah County (Portland) | IBC 2021 | 2022 Oregon Structural Specialty Code (OSSC). | [Guide →](https://uspermitrules.com/permits/or/multnomah-county) |
| PA | Philadelphia County | IBC 2021 | Pennsylvania Uniform Construction Code (UCC). | [Guide →](https://uspermitrules.com/permits/pa/philadelphia-county) |
| PA | Allegheny County (Pittsburgh) | IBC 2021 | PA UCC Construction Codes. | [Guide →](https://uspermitrules.com/permits/pa/allegheny-county) |
| RI | Providence County | IBC 2021 | Rhode Island State Building Code SBC-1. | [Guide →](https://uspermitrules.com/permits/ri/providence-county) |
| SC | Richland County | IBC 2021 | 2021 South Carolina Building Code. | [Guide →](https://uspermitrules.com/permits/sc/richland-county-sc) |
| SD | Minnehaha County (Sioux Falls) | IBC 2021 | 2021 International Building Code local amendments. | [Guide →](https://uspermitrules.com/permits/sd/minnehaha-county) |
| TN | Davidson County (Nashville) | IBC 2021 | 2018 International Building Code with Metro Nashville Amendments. | [Guide →](https://uspermitrules.com/permits/tn/davidson-county-tn) |
| UT | Salt Lake County | IBC 2021 | 2021 Utah State Building Code & seismic design category D. | [Guide →](https://uspermitrules.com/permits/ut/salt-lake-county) |
| VT | Chittenden County | IBC 2021 | Vermont Commercial Building Energy Standards (CBES). | [Guide →](https://uspermitrules.com/permits/vt/chittenden-county) |
| VA | Fairfax County | IBC 2021 | Virginia Uniform Statewide Building Code (VUSBC). | [Guide →](https://uspermitrules.com/permits/va/fairfax-county) |
| WA | King County | IBC 2021 | 2021 Washington State Energy Code (WSEC). | [Guide →](https://uspermitrules.com/permits/wa/king-county) |
| WV | Kanawha County (Charleston) | IBC 2021 | 2018 West Virginia State Building Code. | [Guide →](https://uspermitrules.com/permits/wv/kanawha-county) |
| WI | Milwaukee County | IBC 2021 | Wisconsin Commercial Building Code (SPS 361-366). | [Guide →](https://uspermitrules.com/permits/wi/milwaukee-county) |
| WY | Laramie County (Cheyenne) | IBC 2021 | 2021 International Building Code & snow/wind load standards. | [Guide →](https://uspermitrules.com/permits/wy/laramie-county) |

#### Contractor Surety Bond Requirements

Building departments require active license bonds ($10k–$50k) prior to issuing commercial permits.

#### Commercial COI Liability ($1M+)

Verify active General Liability coverage naming local Authorities Having Jurisdiction as Certificate Holder.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://uspermitrules.com/codes/](https://uspermitrules.com/codes/).
